package miage.ter.projet_a_remplacer.controller;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import miage.ter.projet_a_remplacer.model.ExampleDB;

@WebServlet("/AddPointServlet")
public class AddPointServlet extends HttpServlet {

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        doGet(req, resp);
    }
    
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

        try {
            ExampleDB db = Utils.getDB(req);

            String sx = Utils.stringParameter(req, "x");
            String sy = Utils.stringParameter(req, "y");
            int x = 0;
            int y = 0;
            try {
                x = Integer.parseInt(sx);
                y = Integer.parseInt(sy);
            } catch (NumberFormatException e) {
                //
            }

            db.addPoint(x, y);

            RequestDispatcher rd = req.getRequestDispatcher("/ListPointsServlet");
            rd.forward(req, resp);

        } catch (SQLException e) {

            throw new ServletException(e);
        }

    }
}
