package miage.ter.projet_a_remplacer.controller;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import miage.ter.projet_a_remplacer.model.ExampleDB;

@WebServlet("/DeleteDuplicatesServlet")
public class DeleteDuplicatesServlet extends HttpServlet {

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        doGet(req, resp);
    }

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

        try {
            ExampleDB db = Utils.getDB(req);
            db.deleteDuplicates();

            req.getRequestDispatcher("ListPointsServlet").forward(req, resp);

        } catch (SQLException e) {
            throw new ServletException(e);
        }
    }

}
