package miage.ter.projet_a_remplacer.controller;

import java.io.IOException;
import java.sql.SQLException;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import miage.ter.projet_a_remplacer.model.ExampleDB;
import miage.ter.projet_a_remplacer.model.Point;

@WebServlet("/ListPointsServlet")
public class ListPointsServlet extends HttpServlet {

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        doGet(req, resp);
    }

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

        try {
            ExampleDB db = Utils.getDB(req);

            List<Point> points = db.getAllPoints();
            
            req.setAttribute("points", points);

            req.getRequestDispatcher("WEB-INF/jsp/list_points.jsp").forward(req, resp);

        } catch (SQLException e) {
            throw new ServletException(e);
        }
    }

}
